## GcrImporter GcrImporter |

## Synopsis

    enum                GcrImporterPromptBehavior;
                        GcrImporterPrivate;
                        GcrImporter;
    GcrImporter*        gcr_importer_new                    (void);
    GcrParser*          gcr_importer_get_parser             (GcrImporter *self);
    void                gcr_importer_set_parser             (GcrImporter *self,
                                                             GcrParser *parser);
    GckSlot*            gcr_importer_get_slot               (GcrImporter *self);
    void                gcr_importer_set_slot               (GcrImporter *self,
                                                             GckSlot *slot);
    GcrImporterPromptBehavior  gcr_importer_get_prompt_behavior
                                                            (GcrImporter *self);
    void                gcr_importer_set_prompt_behavior    (GcrImporter *self,
                                                             GcrImporterPromptBehavior behavior);
    gboolean            gcr_importer_import                 (GcrImporter *self,
                                                             GCancellable *cancel,
                                                             GError **error);
    void                gcr_importer_import_async           (GcrImporter *self,
                                                             GCancellable *cancel,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            gcr_importer_import_finish          (GcrImporter *self,
                                                             GAsyncResult *res,
                                                             GError **error);

## Object Hierarchy

      GObject
       +----GcrImporter

## Implemented Interfaces

GcrImporter implements GAsyncResult.

## Properties

      "prompt-behavior"          gint                  : Read / Write
      "slot"                     GckSlot*              : Read / Write

## Signals

      "imported"                                       : Run First
      "queued"                                         : Run First

## Description

## Details

### enum GcrImporterPromptBehavior

    typedef enum {
    	GCR_IMPORTER_PROMPT_NEEDED,
    	GCR_IMPORTER_PROMPT_ALWAYS,
    	GCR_IMPORTER_PROMPT_NEVER
    } GcrImporterPromptBehavior;

### GcrImporterPrivate

    typedef struct _GcrImporterPrivate GcrImporterPrivate;

### GcrImporter

    typedef struct _GcrImporter GcrImporter;

### gcr_importer_new ()

    GcrImporter*        gcr_importer_new                    (void);

Returns : |

### gcr_importer_get_parser ()

    GcrParser*          gcr_importer_get_parser             (GcrImporter *self);

`self` : |
Returns : |

### gcr_importer_set_parser ()

    void                gcr_importer_set_parser             (GcrImporter *self,
                                                             GcrParser *parser);

`self` : |
`parser` : |

### gcr_importer_get_slot ()

    GckSlot*            gcr_importer_get_slot               (GcrImporter *self);

`self` : |
Returns : |

### gcr_importer_set_slot ()

    void                gcr_importer_set_slot               (GcrImporter *self,
                                                             GckSlot *slot);

`self` : |
`slot` : |

### gcr_importer_get_prompt_behavior ()

    GcrImporterPromptBehavior  gcr_importer_get_prompt_behavior
                                                            (GcrImporter *self);

`self` : |
Returns : |

### gcr_importer_set_prompt_behavior ()

    void                gcr_importer_set_prompt_behavior    (GcrImporter *self,
                                                             GcrImporterPromptBehavior behavior);

`self` : |
`behavior` : |

### gcr_importer_import ()

    gboolean            gcr_importer_import                 (GcrImporter *self,
                                                             GCancellable *cancel,
                                                             GError **error);

`self` : |
`cancel` : |
`error` : |
Returns : |

### gcr_importer_import_async ()

    void                gcr_importer_import_async           (GcrImporter *self,
                                                             GCancellable *cancel,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`self` : |
`cancel` : |
`callback` : |
`user_data` : |

### gcr_importer_import_finish ()

    gboolean            gcr_importer_import_finish          (GcrImporter *self,
                                                             GAsyncResult *res,
                                                             GError **error);

`self` : |
`res` : |
`error` : |
Returns : |

## Property Details

### The `"prompt-behavior"` property

      "prompt-behavior"          gint                  : Read / Write

Import Prompt Behavior.

Allowed values: >= 0

Default value: 0

### The `"slot"` property

      "slot"                     GckSlot*              : Read / Write

PKCS#11 slot to import data into.

## Signal Details

### The `"imported"` signal

    void                user_function                      (GcrImporter *gcrimporter,
                                                            GckObject   *arg1,
                                                            gpointer     user_data)        : Run First

`gcrimporter` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"queued"` signal

    void                user_function                      (GcrImporter *gcrimporter,
                                                            gchar       *arg1,
                                                            gpointer     user_data)        : Run First

`gcrimporter` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.